libzypp: zyppng::operators Namespace Reference

libzypp 17.38.6

zyppng::operators Namespace Reference

## Namespaces
namespace | detail

## Functions
template<typename Fun>
auto | mbind (Fun &&function)
template<typename Fun>
auto | and_then (Fun &&function)
template<typename Fun>
auto | or_else (Fun &&function)
template<typename Fun>
auto | inspect (Fun &&function)
template<typename Fun>
auto | inspect_err (Fun &&function)
detail::collect_helper | collect ()
template<typename Transformation>
auto | transform_collect (Transformation &&f)
template<typename Fun>
auto | mtry (Fun &&function)
template<typename Transformation>
auto | transform (Transformation &&transformation)
auto | join ()
auto | startProgress (ProgressObserverRef progressObserver)
auto | incProgress (ProgressObserverRef progressObserver, double progrIncrease=1.0, std::optional< std::string > newStr={})
auto | setProgress (ProgressObserverRef progressObserver, double progrValue, std::optional< std::string > newStr={})
auto | setProgressLabel (ProgressObserverRef progressObserver, std::string newStr)
auto | finishProgress (ProgressObserverRef progressObserver, ProgressObserver::FinishResult result=ProgressObserver::Success)

## Function Documentation

## ◆ mbind()

template<typename Fun>

auto zyppng::operators::mbind | ( | Fun && | function | ) |

Definition at line 701 of file expected.h.

## ◆ and_then()

template<typename Fun>

auto zyppng::operators::and_then | ( | Fun && | function | ) |

Definition at line 708 of file expected.h.

## ◆ or_else()

template<typename Fun>

auto zyppng::operators::or_else | ( | Fun && | function | ) |

Definition at line 715 of file expected.h.

## ◆ inspect()

template<typename Fun>

auto zyppng::operators::inspect | ( | Fun && | function | ) |

Definition at line 722 of file expected.h.

## ◆ inspect_err()

template<typename Fun>

auto zyppng::operators::inspect_err | ( | Fun && | function | ) |

Definition at line 729 of file expected.h.

## ◆ collect()

detail::collect_helper zyppng::operators::collect | ( |  | ) |
| inline

Definition at line 735 of file expected.h.

## ◆ transform_collect()

template<typename Transformation>

auto zyppng::operators::transform_collect | ( | Transformation && | f | ) |

Definition at line 778 of file expected.h.

## ◆ mtry()

template<typename Fun>

auto zyppng::operators::mtry | ( | Fun && | function | ) |

Definition at line 71 of file mtry.h.

## ◆ transform()

template<typename Transformation>

auto zyppng::operators::transform | ( | Transformation && | transformation | ) |

Definition at line 95 of file transform.h.

## ◆ join()

auto zyppng::operators::join | ( |  | ) |
| inline

No-Op operation, just here for compatibility when compiling in sync mode

Definition at line 34 of file wait.h.

## ◆ startProgress()

auto zyppng::operators::startProgress | ( | ProgressObserverRef | progressObserver | ) |
| inline

Starts the the given ProgressObserver, forwarding the pipeline value without touching it

Definition at line 221 of file progressobserver.h.

## ◆ incProgress()

auto zyppng::operators::incProgress | ( | ProgressObserverRef | progressObserver,
|  | double | progrIncrease = 1.0,
|  | std::optional< std::string > | newStr = {} )
| inline

Increases the ProgressObserver by the given progIncrease, forwarding the pipeline value without touching it. Can also set a new label via newStr

Definition at line 229 of file progressobserver.h.

## ◆ setProgress()

auto zyppng::operators::setProgress | ( | ProgressObserverRef | progressObserver,
|  | double | progrValue,
|  | std::optional< std::string > | newStr = {} )
| inline

Sets the current value in the given ProgressObserver, forwarding the pipeline value without touching it Can also set a new label via newStr

Definition at line 237 of file progressobserver.h.

## ◆ setProgressLabel()

auto zyppng::operators::setProgressLabel | ( | ProgressObserverRef | progressObserver,
|  | std::string | newStr )
| inline

Sets the label value in the given ProgressObserver, forwarding the pipeline value without touching it

Definition at line 244 of file progressobserver.h.

## ◆ finishProgress()

auto zyppng::operators::finishProgress | ( | ProgressObserverRef | progressObserver,
|  | ProgressObserver::FinishResult | result = ProgressObserver::Success )
| inline

Sets the the given ProgressObserver to finished, forwarding the pipeline value without touching it

Definition at line 252 of file progressobserver.h.